Subject: bug#45821: 28.0.50; Add UDP support for Emacs on Windows

From: Robert Pluim <[email-masked]>
Date: Mon, 11 Oct 2021 14:06:55 +0200

>>>>> On Mon, 11 Oct 2021 04:56:43 -0700, Stefan Kangas <[email-masked]> said:

    Stefan> Eli Zaretskii <[email-masked]> writes:
    >>> From: Robert Pluim <[email-masked]>
    >>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
    >>> Date: Mon, 27 Sep 2021 18:47:47 +0200
    >>> 
    >>> Iʼve resurrected this patch, it seems to be working nicely. Adding a
    >>> lisp-level control variable seems more trouble than itʼs worth, I
    >>> think the risk of breaking stuff on all platforms is higher than
    >>> that of breaking stuff on Windows.
    >>> 
    >>> Are we too late for emacs-28?
    >> 
    >> Yes, please wait until the release branch is cut.

    Stefan> I guess it's time to push this to master now?

No, because it breaks TLS connections.

I am in fact amazed that the existing code works at all on MS-Windows,
since we end up doing multiple 1-byte reads whilst also doing
gnutls_try_handshake, but work it does. And this patch doesnʼt.

Robert
--